# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name http-types

# common part of summary for all the subpackages
%global common_summary Generic HTTP types for Haskell

# main description used for all the subpackages
%global common_description Generic HTTP types for Haskell for both client and server code.

Name:           ghc-%{pkg_name}
Version:        0.6.5
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN: cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
# END: cabal2spec
BuildRequires:  ghc-blaze-builder-prof, ghc-case-insensitive-prof

%description
%{common_description}


%package -n ghc-%{pkg_name}-devel
Summary:        %{common_summary} development files
Group:          Development/Libraries
# BEGIN: cabal2spec
%{?ghc_devel_requires}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END: cabal2spec

%description -n ghc-%{pkg_name}-devel
%{common_description}

This package contains the development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%defattr(-,root,root,-)
%endif


%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files
%defattr(-,root,root,-)


%changelog
* Wed Sep 14 2011 Jens Petersen <petersen@redhat.com> - 0.6.5-2
- rebuild against newer ghc-rpm-macros

* Thu Jun 30 2011 Jens Petersen <petersen@redhat.com> - 0.6.5-1
- BSD
- depends on blaze-builder and case-insensitive

* Thu Jun 30 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.6.5-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24
